### A free/open-source library for quantitative finance

Public Types | Public Member Functions
QuantoVanillaOption Class Reference
Financial instruments

quanto version of a vanilla option More...

`#include <ql/instruments/quantovanillaoption.hpp>`

Inheritance diagram for QuantoVanillaOption:
[legend]

List of all members.

## Public Types

typedef OneAssetOption::arguments | arguments
typedef QuantoOptionResults < OneAssetOption::results > | results
typedef GenericEngine < arguments, results > | engine

## Public Member Functions

| QuantoVanillaOption (const boost::shared_ptr< StrikedTypePayoff > &, const boost::shared_ptr< Exercise > &)
void | fetchResults (const PricingEngine::results *) const
greeks
Real | qvega () const
Real | qrho () const
Real | qlambda () const

## Detailed Description

quanto version of a vanilla option

## Member Function Documentation

void fetchResults | ( | const PricingEngine::results * | r | ) | const`[virtual]`

When a derived result structure is defined for an instrument, this method should be overridden to read from it. This is mandatory in case a pricing engine is used.

Reimplemented from OneAssetOption.